GCLOUD_COMPUTE_INSTANCES_SET-SCHEDULING(1)

NAME

gcloud compute instances set-scheduling - set scheduling options for Google Compute Engine virtual machines

SYNOPSIS

gcloud compute instances set-scheduling NAME [--maintenance-policy=MAINTENANCE_POLICY] [--restart-on-failure] [--zone=ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
$gcloud compute instances set-scheduling is used to configure scheduling options for Google Compute Engine virtual machines.

POSITIONAL ARGUMENTS

    NAME
        The name of the instance.

FLAGS

    --maintenance-policy=MAINTENANCE_POLICY
        Specifies the behavior of the instances when their host machines undergo maintenance. The default is MIGRATE. MAINTENANCE_POLICY must be one of:

        MIGRATE
            The instances should be migrated to a new host. This will temporarily impact the performance of instances during a migration event.

        TERMINATE
            The instances should be terminated.

    --restart-on-failure
        The instances will be restarted if they are terminated by Compute Engine. This does not affect terminations performed by the user.

    --zone=ZONE
        The zone of the instance to operate on. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.